# DO NOT EDIT - See: https://jetty.org/docs/9/startup-modules.html

[description]
Enables a Unix Domain Socket Connector that can receive
requests from a local proxy and/or SSL offloader (eg haproxy) in either
HTTP or TCP mode.  Unix Domain Sockets are more efficient than 
localhost TCP/IP connections  as they reduce data copies, avoid 
needless fragmentation and have better dispatch behaviours. 
When enabled with corresponding support modules, the connector can 
accept HTTP, HTTPS or HTTP2C traffic.

[tags]
connector

[depend]
server

[xml]
etc/jetty-unixsocket.xml

[lib]
lib/jetty-unixsocket-${jetty.version}.jar
lib/jnr/*.jar


[files]
maven://com.github.jnr/jffi/debian|lib/jnr/jffi-debian.jar
maven://com.github.jnr/jnr-constants/debian|lib/jnr/jnr-constants-debian.jar
maven://com.github.jnr/jnr-enxio/debian|lib/jnr/jnr-enxio-debian.jar
maven://com.github.jnr/jnr-ffi/debian|lib/jnr/jnr-ffi-debian.jar
maven://com.github.jnr/jnr-posix/debian|lib/jnr/jnr-posix-debian.jar
maven://com.github.jnr/jnr-unixsocket/debian|lib/jnr/jnr-unixsocket-debian.jar
maven://com.github.jnr/jnr-x86asm/debian|lib/jnr/jnr-x86asm-debian.jar
maven://org.ow2.asm/asm-analysis/debian|lib/jnr/asm-analysis-debian.jar
maven://org.ow2.asm/asm-commons/debian|lib/jnr/asm-commons-debian.jar
maven://org.ow2.asm/asm-tree/debian|lib/jnr/asm-tree-debian.jar
maven://org.ow2.asm/asm-util/debian|lib/jnr/asm-util-debian.jar
maven://org.ow2.asm/asm/debian|lib/jnr/asm-debian.jar

[license]
Jetty UnixSockets is implemented using the Java Native Runtime, which is an
open source project hosted on Github and released under the Apache 2.0 license.
https://github.com/jnr/jnr-unixsocket
http://www.apache.org/licenses/LICENSE-2.0.html

[ini-template]
### Unix SocketHTTP Connector Configuration

## Unix socket path to bind to
# jetty.unixsocket.path=/tmp/jetty.sock

## Connector idle timeout in milliseconds
# jetty.unixsocket.idleTimeout=30000

## Number of selectors (-1 picks default)
# jetty.unixsocket.selectors=-1

## ServerSocketChannel backlog (0 picks platform default)
# jetty.unixsocket.acceptQueueSize=0
